﻿using CommunityToolkit.Maui.Converters;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 선택 값 - SelectedValue

    /// <summary>
    /// 선택 값
    /// </summary>
    public int SelectedValue { get; set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        SelectedValue = 3;

        string[] stringArray = new string[]
        {
            "Value 1",
            "Value 2",
            "Value 3",
            "Value 4",
            "Value 5"
        };

        IndexToArrayItemConverter converter = new IndexToArrayItemConverter();

        this.label.SetBinding
        (
            Label.TextProperty,
            new Binding("SelectedValue", converter : converter, converterParameter : stringArray)
        );

        BindingContext = this;
    }

    #endregion
}